Package org.eclipse.mat.inspections.eclipse

## Class LeakingPlugins

- java.lang.Object
- - org.eclipse.mat.inspections.eclipse.LeakingPlugins

All Implemented Interfaces:
  `IQuery`

    public class LeakingPlugins
    extends java.lang.Object
    implements IQuery

### Field Summary

Fields
`ISnapshot` `snapshot`

### Constructor Summary

Constructors
`LeakingPlugins()`

### Method Summary

All Methods Instance Methods Concrete Methods
`IResult` `execute​(IProgressListener listener)` The execute method is called after all arguments have been injected into the query instance.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### snapshot

    public ISnapshot snapshot

### Constructor Detail

#### LeakingPlugins

    public LeakingPlugins()

### Method Detail

#### execute

    public IResult execute​(IProgressListener listener)
                    throws java.lang.Exception

Description copied from interface: `IQuery`
The execute method is called after all arguments have been injected into the query instance. Typical results are `TextResult`, `CompositeResult`, `SectionSpec` etc.

Specified by:
  `execute` in interface `IQuery`
Parameters:
  `listener` - Monitor to report progress and check for cancellation.
Returns:
  The result of the query.
Throws:
  `java.lang.Exception` - if something went wrong running the query